### Name: plot.surv
### Title: Plotting Confidence Intervals for Survival Curves
### Aliases: plot.surv
### Keywords: hplot

### ** Examples
## Not run: 
##D data(coalition)
##D z.out1 <- zelig(Surv(duration,ciep12)~invest+numst2+crisis,
##D robust=TRUE,cluster="polar",model="coxph",data=coalition)
##D low <- setx(z.out1,numst2=0)
##D high <- setx(z.out1,numst2=1
##D # Simulate Survival Curves for Each Group
##D s.out1 <- sim(z.out1,x=low) 
##D s.out2 <- sim(z.out1,x=high)
##D 
##D # Organize simulated output as a list
##D out <- list(s.out1,s.out2)
##D 
##D plot.surv(x = out, duration = coalition$duration, censor=coalition$ciep12,
##D           type="line", plottimes=FALSE, plotcensor=FALSE,
##D           main="Survival", xlab="Time", ylab="Survival")
## End(Not run)



