### Name: zeligDescribeModelXML
### Title: Zelig interface functions
### Aliases: zeligDescribeModelXML zeligInstalledModels zeligListModels
###   zeligModelDependency zeligGetSpecial
### Keywords: IO print

### ** Examples
## Not run: 
##D         # show all available models
##D         zeligListModels(inZeligOnly=FALSE)
##D         # show installed models
##D         zeligInstalledModels()
##D         # show dependency for normal.bayes
##D         zeligModelDependency("normal.bayes","http://cran.r-project.org/")
##D         # description of logit
##D         cat(zeligDescribeModelXML("ologit"))
##D         # special function for factor analysis
##D         zeligGetSpecial("factor.mix")
## End(Not run)
## Don't show: 
## Not run: 
##D 
##D # test model lists
##D zd= zeligInstalledModels(schemaVersion="1.1")
##D if (length(zd)<8 || sum(zd=="ls")!=1   || length(zeligListModels())<25 ) {
##D         stop("Failed zeligListModels/zeligInstalledModels self test")
##D }
##D 
##D if (zeligModelDependency("poisson.bayes","")[1]!="MCMCpack") {
##D         stop("Failed zeligModelDependency self test")
##D }
##D 
##D if (zeligGetSpecial("factor.mix")!="cbind") {
##D         stop("Failed zeligGetSpecial self test")
##D }
##D 
##D if (grep("explanatory",  zeligDescribeModelXML("ologit"))!=1) {
##D         stop("Failed zmodel2string/zeligDescribeModel self test")
##D }
## End(Not run)
## End Don't show




