###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
pkg <- search()
if(!length(grep("package:Zelig",pkg)))
library(Zelig)


###################################################
### chunk number 3: BasicExample.data
###################################################
 data(swiss)
 names(swiss) <- c("Fert","Agr","Exam","Educ","Cath","InfMort")


###################################################
### chunk number 4: BasicExample.zelig
###################################################
 z.out <- zelig(cbind(Agr, Exam, Educ, Cath, InfMort) ~ NULL, 
                 model = "factor.bayes", data = swiss, factors = 2,
	         verbose = TRUE, a0 = 1, b0 = 0.15, 
                 burnin = 5000, mcmc = 50000)


###################################################
### chunk number 5: BasicExample.coeff
###################################################
 algor <- try(geweke.diag(z.out$coefficients), silent=T)
if(class(algor)=="try-error")
print(algor)


###################################################
### chunk number 6: Constraints.zelig
###################################################
z.out <- zelig(cbind(Agr, Exam, Educ, Cath, InfMort) ~ NULL,  
               model = "factor.bayes", data = swiss, factors = 2,
               lambda.constraints = list(Exam=list(1,"+"),
                                    Exam=list(2,"-"), Educ=c(2,0),
                                    InfMort=c(1,0)), 
               verbose = TRUE, a0 = 1, b0 = 0.15, 
               burnin = 5000, mcmc = 50000)

 geweke.diag(z.out$coefficients)
 heidel.diag(z.out$coefficients)
 raftery.diag(z.out$coefficients)
 summary(z.out)


###################################################
### chunk number 7: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


