###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: 
###################################################
library(Zelig)


###################################################
### chunk number 4: 
###################################################
set.seed(0)
n<-400 
sig<-2
x0 <- runif(n, 0, 1)
x1 <- runif(n, 0, 1) 
x2 <- runif(n, 0, 1)
x3 <- runif(n, 0, 1)
f0 <- function(x) 2 * sin(pi * x) 
f1 <- function(x) exp(2 * x)
f2 <- function(x) 0.2*x^11*(10*(1-x))^6+10*(10*x)^3*(1-x)^10
f3 <- function(x) 0*x
f <- f0(x0) + f1(x1) + f2(x2)
g <- (f-5)/3
g <- binomial()$linkinv(g)
y <- rbinom(g,1,g)
my.data <- as.data.frame(cbind(y, x0, x1, x2, x3))



###################################################
### chunk number 5: 
###################################################
z.out <- zelig(y~s(x0)+s(x1)+s(x2)+s(x3), model="logit.gam", data=my.data)
summary(z.out)
plot(z.out,pages=1,residuals=TRUE)


###################################################
### chunk number 6: 
###################################################
plot(z.out,pages=1,residuals=TRUE)


###################################################
### chunk number 7: 
###################################################
 x.out <- setx(z.out)
 s.out <- sim(z.out, x = x.out) 
 summary(s.out) 
 plot(s.out) 


###################################################
### chunk number 8: 
###################################################
plot(s.out)


###################################################
### chunk number 9: 
###################################################
x.high <- setx(z.out,  x3= quantile(my.data$x3, 0.8))
x.low <- setx(z.out, x3 = quantile(my.data$x3, 0.2))

s.out <- sim(z.out, x=x.high, x1=x.low)
summary(s.out)
plot(s.out)



###################################################
### chunk number 10: 
###################################################
plot(s.out)


###################################################
### chunk number 11: 
###################################################
z.out <- zelig(y~s(x0)+s(x1)+s(x2)+s(x3), H=diag(0.5,37), 
   model="logit.gam", data=my.data) 
summary(z.out)
plot(z.out,pages=1,residuals=TRUE)



###################################################
### chunk number 12: 
###################################################
z.out <- zelig(y~s(x0)+s(x1)+s(x2)+s(x3),sp=c(0.01,-1,-1,-1), 
   model="logit.gam", data=my.data)
summary(z.out)
plot(z.out,pages=1)



###################################################
### chunk number 13: 
###################################################
z.out <- zelig(y~s(x0)+s(x1)+s(x2)+s(x3),min.sp=c(0.001,0.01,0,10),  
    model="logit.gam", data=my.data) 
summary(z.out)
plot(z.out, pages=1)



###################################################
### chunk number 14: 
###################################################
z.out <-zelig(y~s(x0,k=4,fx=TRUE,bs="tp")+s(x1,k=12)+s(x2,k=15), 
    model="logit.gam", data=my.data)
summary(z.out)
plot(z.out,pages=1)



###################################################
### chunk number 15: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


