###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: Examples.data
###################################################
 data(mexico)


###################################################
### chunk number 4: Examples.zelig
###################################################
 z.out1 <- zelig(as.factor(vote88) ~ pristr + othcok + othsocok, 
                  model = "mlogit", data = mexico)


###################################################
### chunk number 5: Examples.setx
###################################################
 x.weak <- setx(z.out1, pristr = 1)
 x.strong <- setx(z.out1, pristr = 3)


###################################################
### chunk number 6: Examples.sim
###################################################
 s.out1 <- sim(z.out1, x = x.strong, x1 = x.weak)



###################################################
### chunk number 7: Examples.summary
###################################################
summary(s.out1)


###################################################
### chunk number 8: Examples.weak
###################################################
 ev.weak <- s.out1$qi$ev + s.out1$qi$fd



###################################################
### chunk number 9: Examples.library
###################################################
 library(vcd)


###################################################
### chunk number 10: TernaryPlot
###################################################
ternaryplot(x=s.out1$qi$ev, pch = ".", col = "blue",main = "1988 Mexican Presidential Election")

###ternarypoints(ev.weak, pch = ".", col = "red")


###################################################
### chunk number 11: Levels.zelig
###################################################
 z.out2 <- zelig(list(id(vote88, "1") ~ pristr + othcok,
                       id(vote88, "2") ~ othsocok), 
                  model = "mlogit", data = mexico)


###################################################
### chunk number 12: Levels.setx
###################################################
 x.weak <- setx(z.out2, pristr = 1)
 x.strong <- setx(z.out2, pristr = 3)


###################################################
### chunk number 13: Levels.sim
###################################################
 s.out1 <- sim(z.out2, x = x.strong, x1 = x.weak)


###################################################
### chunk number 14: Levels.summary
###################################################
 summary(s.out1)


###################################################
### chunk number 15: Levels.weak
###################################################
 ev.weak <- s.out1$qi$ev + s.out1$qi$fd


###################################################
### chunk number 16: LevelsTernaryPlot
###################################################
ternaryplot(s.out1$qi$ev, pch = ".", col = "blue", main = "1988 Mexican Presidential Election")
###ternarypoints(ev.weak, pch = ".", col = "red")


###################################################
### chunk number 17: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


