###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: BasicExample.data
###################################################
 data(sanction)


###################################################
### chunk number 4: BasicExample.zelig
###################################################
 z.out <- zelig(ncost ~ mil + coop, model = "oprobit.bayes",
                  data = sanction, verbose=TRUE)


###################################################
### chunk number 5: BasicExample.factor
###################################################
sanction$ncost <- factor(sanction$ncost, ordered = TRUE,
                         levels = c("net gain", "little effect", 
                         "modest loss", "major loss"))


###################################################
### chunk number 6: BasicExample.heidel
###################################################
heidel.diag(z.out$coefficients)


###################################################
### chunk number 7: BasicExample.raftery
###################################################
raftery.diag(z.out$coefficients)


###################################################
### chunk number 8: BasicExample.summary
###################################################
summary(z.out) 


###################################################
### chunk number 9: BasicExample.setx
###################################################
 x.out <- setx(z.out)


###################################################
### chunk number 10: BasicExample.sim
###################################################
 s.out1 <- sim(z.out, x = x.out)
 summary(s.out1)


###################################################
### chunk number 11: FirstDifferences.setx
###################################################
 x.high <- setx(z.out, mil=0)
 x.low <- setx(z.out, mil=1)


###################################################
### chunk number 12: FirstDifferences.sim
###################################################
s.out2 <- sim(z.out, x = x.high, x1 = x.low)
 summary(s.out2)


###################################################
### chunk number 13: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


