###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: Example.data
###################################################
data(turnout)


###################################################
### chunk number 4: Example.cluster
###################################################
turnout$cluster <- rep(c(1:200),10)


###################################################
### chunk number 5: Example.sort
###################################################
sorted.turnout <- turnout[order(turnout$cluster),]


###################################################
### chunk number 6: Example.zelig
###################################################
z.out1 <- zelig(vote ~ race + educate, model = "probit.gee", id = "cluster", data = sorted.turnout, robust = TRUE, corstr = "stat_M_dep", Mv=3)


###################################################
### chunk number 7: Example.setx
###################################################
x.out1 <- setx(z.out1)


###################################################
### chunk number 8: Example.sim
###################################################
s.out1 <- sim(z.out1, x = x.out1)


###################################################
### chunk number 9: Example.summary.sim
###################################################
summary(s.out1)


###################################################
### chunk number 10: ExamplePlot
###################################################
plot(s.out1)


###################################################
### chunk number 11: 
###################################################
options(width=80)


###################################################
### chunk number 12: FirstDifference.setx
###################################################
x.high <- setx(z.out1, educate = quantile(turnout$educate, prob = 0.75))
x.low <- setx(z.out1, educate = quantile(turnout$educate, prob = 0.25))


###################################################
### chunk number 13: FirstDifference.sim
###################################################
s.out2 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 14: FirstDifference.summary.sim
###################################################
summary(s.out2)


###################################################
### chunk number 15: FirstDifferencePlot
###################################################
plot(s.out2)


###################################################
### chunk number 16: 
###################################################
options(width=75)


###################################################
### chunk number 17: Example2.corr
###################################################
corr.mat <- matrix(rep(0.5,100), nrow=10, ncol=10)
diag(corr.mat) <- 1


###################################################
### chunk number 18: Example2.zelig
###################################################
z.out2 <- zelig(vote ~ race + educate, model = "probit.gee", id = "cluster", data = sorted.turnout, robust = TRUE, corstr = "fixed", R=corr.mat)


###################################################
### chunk number 19: Example2.summary
###################################################
summary(z.out2)


###################################################
### chunk number 20: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


